Description

We've started deploying Windows Server 2022 VMs on our VMWare cluster now, an OS that is not included in the Foreman Guest

OS list - even in the latest commits of the develop branch.

When such a host is cloned, things break in all manner of horrible and hilarious ways - it ends up defaulting to MS-DOS and munging

device configuration based on that.

An updated list turns out to be difficult to come by without a working VMWare setup, but we were able to use the steps in 

https://communities.vmware.com/t5/VMware-PowerCLI-Discussions/How-to-get-all-VirtualMachineGuestOsIdentifier-over-PowerCLI/

m-p/1397700/highlight/true#M45704 to generate a list that's up-to-date with vSphere 7.0U3

The resulting (CSV-encoded) list has been attached for now, hopefully I'll have time to write up a proper patch as well once time

allows.

Related issues:

Has duplicate Foreman - Bug #35766: Windows Server 2019 not selectable as VSp... Duplicate

Associated revisions

Revision 4abf925f - 03/12/2024 05:36 PM - Sebastian Bublitz 

Fixes #36023: Add missing VMWare GuestOS mappings

History

#1 - 01/31/2023 04:38 PM - Ewoud Kohl van Wijngaarden

I think the version is relevant. We just updated to fog-vsphere 3.6 which switched from rbvmomi to rbvmomi2, but that's only in nightly. You do

mention develop, but can you also verify rbvmomi2 is used? I believe that uses the vmodl.db file to provide the definitions.

#2 - 02/13/2023 08:53 AM - Alexander Olofsson

The mapping list for OS versions that this updated list relates to is still hardcoded in Foreman code - a.k.a. 

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/vmware.rb#L232-L398

Not sure if it's possible to generate it, since the upstream documentation fails to do so for any vSphere newer than 6.7, but getting the descriptions off

of a running cluster proved doable.

It's likely that an updated vmodl.db will help as well in regards to the cloning issues, but I've not been able to actually test that yet. I might be able to

look at further tests on our local systems some time next month, but until then the updated description mapping remains attached here.

#3 - 02/21/2023 02:36 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Bug #35766: Windows Server 2019 not selectable as VSphere Guest OS added

#4 - 02/21/2023 02:37 PM - Ewoud Kohl van Wijngaarden

- Found in Releases 3.2.2, 3.5.0 added

#5 - 03/12/2024 04:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10092 added
https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/vmware.rb#L232-L398


#6 - 03/12/2024 05:37 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#7 - 03/12/2024 05:37 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.11.0

#8 - 03/12/2024 06:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4abf925fbd72264e8c316d720c03c1dd75688507.
